// $RCSfile: data_hdl.h,v $Revision: 1.11 $Date: 2005/03/11 15:08:57
#ifndef __DATAPKT_H__
#define __DATAPKT_H__

//----------------------- Global Variables -------------------------------------
extern FRAME_BUF_HDL Sd_hdl[4];
extern SD_TM_MSG sd_msg;  // msg to be sent to FIFO sd_QUEUE
extern unsigned int HRS_duration, WBS_duration;
extern unsigned int AID_spectroscopy;  //! Fundamental: tells the running activity (e.g. mesurement, tuning)
extern unsigned int Meas_spectr;  // Spectrometers involved in current activity
extern unsigned int wbs_att_setting[2];  // to store the wbs attenuator setting as required for wbs calibration
extern unsigned int hrs_hk_setting_tmp[64];
extern unsigned int hrs_hk_setting[2][32];
extern unsigned int zero_switch_setting[2];  // to store the zero switch setting as required for wbs calibration
			// steps performed during a mixer magnet current tuning procedure (note: index 0 is for wbsh, and so on)
extern unsigned int NSPECTR;  // number of spectrometers involved in the current measurement (from 0 to 4)
extern unsigned int NSP_HRS;  // number of hrs spectrometers involved in the current measurement (from 0 to 2)
extern unsigned int NSP_WBS;  // number of wbs spectrometers involved in the current measurement (from 0 to 2)

//---------------------- Global Fucntions --------------------------------------
extern void init_sdh (void);
extern int init_science_data (void);
extern int pkt_complete (int, int);
extern int get_hrs_frames_per_wbs (void);
extern void init_spec_table (void);
extern void init_conf_spec_table (void);
extern void reset_data_hdl (void);
extern void store_hrs_setting (int, int*);
extern void store_wbs_att_sett (int, int*);
extern void hrs_right_shift(void);
extern void wbs_right_shift(void);

//---------------------- Defines -----------------------------------------------
// codes to inform data handler that a frame has been received by hs0
#define FRAME_HRS_V_ID		200	
#define FRAME_HRS_H_ID		201		
#define FRAME_WBS_V_ID		202		
#define FRAME_WBS_H_ID		203	
	
#define ATTACH_HK_REQ		204


#endif  // __DATAPKT_H__
